=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2007-10-25 04:57:32 +0000
+++ bzrlib/tests/blackbox/test_info.py	2007-11-22 02:00:18 +0000
@@ -24,6 +24,7 @@
 from bzrlib import (
     bzrdir,
     errors,
+    info,
     osutils,
     repository,
     urlutils,
@@ -484,7 +485,7 @@
         repo = branch.repository
         out, err = self.run_bzr('info branch -v')
         self.assertEqualDiff(
-"""Standalone branch (format: dirstate-tags)
+"""Standalone branch (format: %s)
 Location:
   branch root: branch
 
@@ -500,7 +501,8 @@
 Repository:
          0 revisions
          0 KiB
-""" % (format.get_branch_format().get_format_description(),
+""" % (info.describe_format(repo.bzrdir, repo, branch, None),
+       format.get_branch_format().get_format_description(),
        format.repository_format.get_format_description(),
        ), out)
         self.assertEqual('', err)
@@ -1102,7 +1104,7 @@
        ), out)
         self.assertEqual('', err)
 
-    def assertCheckoutStatusOutput(self, 
+    def assertCheckoutStatusOutput(self,
         command_string, lco_tree, shared_repo=None,
         repo_branch=None,
         tree_locked=False,
@@ -1127,6 +1129,10 @@
         :param tree_locked: If true, expect the tree to be locked.
         :param branch_locked: If true, expect the branch to be locked.
         :param repo_locked: If true, expect the repository to be locked.
+            Note that the lco_tree.branch.repository is inspected, and if is not
+            actually locked then this parameter is overridden. This is because
+            pack repositories do not have any public API for obtaining an
+            exclusive repository wide lock.
         :param verbose: If true, expect verbose output
         """
         def friendly_location(url):
@@ -1151,6 +1157,8 @@
             }[(shared_repo is not None, light_checkout)]
         format = {True: 'dirstate or dirstate-tags or knitpack-experimental',
                   False: 'dirstate'}[light_checkout]
+        if repo_locked:
+            repo_locked = lco_tree.branch.repository.get_physical_lock_status()
         if repo_locked or branch_locked or tree_locked:
             def locked_message(a_bool):
                 if a_bool:

